Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class FdkErrorCodes

    java.lang.Object
      oracle.ifs.fdk.FdkErrorCodes

All Implemented Interfaces:
  LibraryConstants, oracle.ifs.ecm.resources.ExternalConstants

    public class FdkErrorCodes

extends java.lang.Object
implements oracle.ifs.ecm.resources.ExternalConstants

Constants that represent possible FdkException error codes.

Field Summary
`static java.lang.String` | `FDK_ACCESS_DENIED`
`static java.lang.String` | `FDK_ACCESS_ERROR`
`static java.lang.String` | `FDK_ADMIN_EMAIL_ADDRESS_NOT_SET`
`static java.lang.String` | `FDK_AGGREGATE_ERROR`
`static java.lang.String` | `FDK_ATTEMPT_TO_RE_RECORDIZE_UNDER_SAME_CATEGORY`
`static java.lang.String` | `FDK_ATTRIBUTE_NOT_UPDATABLE`
`static java.lang.String` | `FDK_AUDIT_SEARCH_ERROR`
`static java.lang.String` | `FDK_AUTHENTICATION_ERROR`
`static java.lang.String` | `FDK_AUTHORIZATION_DISABLED`
`static java.lang.String` | `FDK_AUTHORIZATION_FAILED`
`static java.lang.String` | `FDK_CANNOT_APPLY_MORE_THAN_ONE_CONFIGURATION`
`static java.lang.String` | `FDK_CANNOT_CANCEL_CHECKOUT_IF_WORKFLOW_LOCKED_FOR_CHECKIN`
`static java.lang.String` | `FDK_CANNOT_CREATE_ITEM`
`static java.lang.String` | `FDK_CANNOT_CREATE_REQUEST`
`static java.lang.String` | `FDK_CANNOT_DELETE_DOMAIN_CONFIGURATION`
`static java.lang.String` | `FDK_CANNOT_DELETE_ITEM`
`static java.lang.String` | `FDK_CANNOT_DELETE_ONLY_VERSION`
`static java.lang.String` | `FDK_CANNOT_GRANT_ADMIN_ROLE_TO_GROUP`
`static java.lang.String` | `FDK_CANNOT_JOIN_USER_ALREADY_HAS_DISCOVER_ACCESS`
`static java.lang.String` | `FDK_CANNOT_OVERRIDE_FINAL_CONFIGURATION`
`static java.lang.String` | `FDK_CANNOT_RESPOND_TO_REQUEST`
`static java.lang.String` | `FDK_CANNOT_SET_CONFIGURATION_FINAL_IF_ALREADY_OVERRIDDEN`
`static java.lang.String` | `FDK_CANNOT_SHORTEN_RETENTION_PERIOD`
`static java.lang.String` | `FDK_CANNOT_UPDATE_ITEM`
`static java.lang.String` | `FDK_CANNOT_UPDATE_STORAGE_DEVICE`
`static java.lang.String` | `FDK_COMPETING_OPERATION_IN_PROGRESS`
`static java.lang.String` | `FDK_CONCURRENT_REQUESTS_PER_SESSION_WAIT_TIMEOUT`
`static java.lang.String` | `FDK_CONTENT_LIMIT_EXCEEDED`
`static java.lang.String` | `FDK_CONTENT_UNAVAILABLE`
`static java.lang.String` | `FDK_CYCLIC_FOLDER_OPERATION_DETECTED`
`static java.lang.String` | `FDK_CYCLIC_GROUP_DEFINITION`
`static java.lang.String` | `FDK_DIRECTORY_NOT_EMPTY`
`static java.lang.String` | `FDK_DOCUMENT_ALREADY_RECORD`
`static java.lang.String` | `FDK_DUPLICATE_SEARCH_RESULTS`
`static java.lang.String` | `FDK_FEATURE_NOT_ENABLED`
`static java.lang.String` | `FDK_FILE_FORMAT_INVALID`
`static java.lang.String` | `FDK_FTP_PASSWORD_NOT_SET`
`static java.lang.String` | `FDK_IMPROPER_DOMAIN_SECURITY_UPDATE`
`static java.lang.String` | `FDK_INAPPLICABLE_ROLE_SPECIFIED_FOR_TARGET`
`static java.lang.String` | `FDK_INFO_ATTRIBUTE`
`static java.lang.String` | `FDK_INFO_ATTRIBUTE_DETAIL`
`static java.lang.String` | `FDK_INFO_EXPECTED_ITEM_TYPE`
`static java.lang.String` | `FDK_INFO_ID`
`static java.lang.String` | `FDK_INFO_OPTION`
`static java.lang.String` | `FDK_INFO_PARAMETER`
`static java.lang.String` | `FDK_INFO_UNEXPECTED_TYPE`
`static java.lang.String` | `FDK_INFO_VALUE`
`static java.lang.String` | `FDK_INVALID_ATTRIBUTE`
`static java.lang.String` | `FDK_INVALID_ATTRIBUTE_VALUE`
`static java.lang.String` | `FDK_INVALID_CREDENTIALS`
`static java.lang.String` | `FDK_INVALID_CUTOFF_SPECIFICATION`
`static java.lang.String` | `FDK_INVALID_DISPOSITION_PHASE`
`static java.lang.String` | `FDK_INVALID_DOMAIN_PROPERTY_VALUE`
`static java.lang.String` | `FDK_INVALID_FOLDER_RESTRICTION_FOR_ARCHIVE_SEARCH`
`static java.lang.String` | `FDK_INVALID_NAME_FOR_RM_OBJECT`
`static java.lang.String` | `FDK_INVALID_OPTION`
`static java.lang.String` | `FDK_INVALID_RECORD_CONFIGURATION`
`static java.lang.String` | `FDK_INVALID_SEARCH_EXPR`
`static java.lang.String` | `FDK_ITEM_ALREADY_EXISTS`
`static java.lang.String` | `FDK_ITEM_CHECKED_OUT`
`static java.lang.String` | `FDK_ITEM_LOCKED`
`static java.lang.String` | `FDK_ITEM_NOT_CHECKED_OUT`
`static java.lang.String` | `FDK_ITEM_NOT_FOUND`
`static java.lang.String` | `FDK_LOCK_ERROR`
`static java.lang.String` | `FDK_LOGIN_TIMEOUT`
`static java.lang.String` | `FDK_MAIL_ERROR`
`static java.lang.String` | `FDK_MAX_CONCURRENT_REQUESTS_PER_SESSION`
`static java.lang.String` | `FDK_MAX_CONCURRENT_REQUESTS_PER_USER`
`static java.lang.String` | `FDK_MAX_SESSIONS_PER_USER`
`static java.lang.String` | `FDK_METADATA_ATTRIBUTE_NOT_SETTABLE`
`static java.lang.String` | `FDK_METADATA_ATTRIBUTE_REQUIRED`
`static java.lang.String` | `FDK_METADATA_CANNOT_DELETE`
`static java.lang.String` | `FDK_METADATA_CANNOT_FREE_INSTANCES_EXIST`
`static java.lang.String` | `FDK_METADATA_ERROR`
`static java.lang.String` | `FDK_METADATA_FOLDER_OPERATION_NOT_ALLOWED`
`static java.lang.String` | `FDK_METADATA_ILLEGAL_OPERATION`
`static java.lang.String` | `FDK_METADATA_NOT_ALLOWED`
`static java.lang.String` | `FDK_METADATA_OPERATION_FAILED`
`static java.lang.String` | `FDK_METADATA_REQUIRED`
`static java.lang.String` | `FDK_METADATA_SCHEMA_INVALID`
`static java.lang.String` | `FDK_NO_ACCESS_TO_FILEPLANCOMPONENT`
`static java.lang.String` | `FDK_NO_RESPONDERS_SPECIFIED`
`static java.lang.String` | `FDK_NON_EXISTENT_DOMAIN_FOR_SPECIFIED_REALM`
`static java.lang.String` | `FDK_NULL_OR_APPROVAL_WORKFLOW_NOT_ALLOWED`
`static java.lang.String` | `FDK_OPERATION_ERROR`
`static java.lang.String` | `FDK_OPERATION_NOT_ALLOWED_FOR_ITEM_IN_TRASH`
`static java.lang.String` | `FDK_OPERATION_ONLY_ALLOWED_FOR_LATEST_VERSION`
`static java.lang.String` | `FDK_OPERATION_ONLY_ALLOWED_FOR_WORKING_COPY`
`static java.lang.String` | `FDK_OPERATION_TIMED_OUT`
`static java.lang.String` | `FDK_PARAMETER_ERROR`
`static java.lang.String` | `FDK_PROMPTED_PARAMETERS_NOT_ALLOWED`
`static java.lang.String` | `FDK_PROVISION_ERROR`
`static java.lang.String` | `FDK_QUOTA_REACHED`
`static java.lang.String` | `FDK_READWORKFLOW_NOT_ALLOWED_IN_BLOCKING_MODE`
`static java.lang.String` | `FDK_RECORD_CATEGORY_CLOSED`
`static java.lang.String` | `FDK_RECORD_ERROR`
`static java.lang.String` | `FDK_RECORD_FOLDER_CLOSED`
`static java.lang.String` | `FDK_RECORD_NOT_UNDER_RECORDCATEGORY`
`static java.lang.String` | `FDK_REQUESTS_SHOULD_BE_PENDING`
`static java.lang.String` | `FDK_REQUIRED_PARAMETER_MISSING`
`static java.lang.String` | `FDK_REQUIRED_PARAMETER_WITH_NO_DEFAULT_NOT_ALLOWED`
`static java.lang.String` | `FDK_RM_DUPLICATE_NAME`
`static java.lang.String` | `FDK_RM_NODE_NOT_EMPTY`
`static java.lang.String` | `FDK_SEARCH_CONTENT_WILDCARD_EXPANSION_ERROR`
`static java.lang.String` | `FDK_SEARCH_ORACLE_TEXT_ERROR`
`static java.lang.String` | `FDK_SEARCH_PARSE_ERROR`
`static java.lang.String` | `FDK_SEARCH_RESULT_TOO_LARGE`
`static java.lang.String` | `FDK_SECURITY_CONFIGURATION_MUST_HAVE_SECURITYADMINISTRATOR`
`static java.lang.String` | `FDK_SERVER_ERROR`
`static java.lang.String` | `FDK_SESSION_ERROR`
`static java.lang.String` | `FDK_SESSION_MODE_MISMATCH`
`static java.lang.String` | `FDK_SESSION_NOT_CONNECTED`
`static java.lang.String` | `FDK_SMTP_HOST_NOT_SET`
`static java.lang.String` | `FDK_STRING_PARAMETER_TOO_LONG`
`static java.lang.String` | `FDK_SYNTAX_NOT_SUPPORTED`
`static java.lang.String` | `FDK_TARGETS_NOT_ASSOCIATED_WITH_REQUEST_LOCK`
`static java.lang.String` | `FDK_TRANSACTION_IN_PROGRESS`
`static java.lang.String` | `FDK_TRANSACTION_NOT_CURRENT`
`static java.lang.String` | `FDK_TRANSACTION_REQUIRED`
`static java.lang.String` | `FDK_UNABLE_TO_APPROVE_REQUEST`
`static java.lang.String` | `FDK_UNEXPECTED_ERROR`
`static java.lang.String` | `FDK_UNEXPECTED_ITEM_TYPE`
`static java.lang.String` | `FDK_UNSUPPORTED_FILE_FORMAT`
`static java.lang.String` | `FDK_VERSIONING_DISABLED`
`static java.lang.String` | `FDK_WORKFLOW_ERROR`
`static java.lang.String` | `FDK_WORKFLOW_ITEMS_HAVE_MULTIPLE_WORKFLOW_CONFIGURATIONS`
`static java.lang.String` | `FDK_WORKFLOW_PARAMETER_INVALID`
`static java.lang.String` | `FDK_WORKFLOW_PARAMETER_PROMPT_REQUIRED`
`static java.lang.String` | `FDK_WORKFLOW_PARAMETER_REQUIRED`
`static java.lang.String` | `FDK_WORKFLOW_PARAMETER_VALUE_INVALID`
`static java.lang.String` | `FDK_WORLD_GROUP_GRANTS_NOT_ENABLED_ON_DOMAIN`
`static java.lang.String` | `FKD_INVALID_LINK_TARGET_TYPE`

Fields inherited from interface oracle.ifs.ecm.resources.ExternalConstants
`ADD_GRANTS_BACKGROUND_REQUEST_REQUEST_TYPE, ATTRIBUTE_TYPE_BINARY, ATTRIBUTE_TYPE_BOOLEAN, ATTRIBUTE_TYPE_DATE, ATTRIBUTE_TYPE_FLOAT, ATTRIBUTE_TYPE_GROUP, ATTRIBUTE_TYPE_INTEGER, ATTRIBUTE_TYPE_LONG, ATTRIBUTE_TYPE_STRING, ATTRIBUTE_TYPE_STRING_ARRAY, ATTRIBUTE_TYPE_USER, CHECKIN_REQUEST_TYPE, CHECKIN_WORKFLOW_OPERATION, CHECKOUT_REQUEST_TYPE, CHECKOUT_WORKFLOW_OPERATION, COPY_REQUEST_TYPE, COPY_WORKFLOW_OPERATION, CREATE_DOCUMENT_REQUEST_TYPE, CREATE_DOCUMENT_WORKFLOW_OPERATION, CREATE_WORKSPACE_REQUEST_TYPE, CREATE_WORKSPACE_WORKFLOW_OPERATION, CUTOFF_FREQUENCY_DAILY, CUTOFF_FREQUENCY_MONTHLY, CUTOFF_FREQUENCY_NONE, CUTOFF_FREQUENCY_WEEKLY, CUTOFF_FREQUENCY_YEARLY, DATABASE_STORAGE, DATE_COMP_DAY, DATE_COMP_HOUR, DATE_COMP_MIN, DATE_COMP_MONTH, DATE_COMP_SEC, DATE_COMP_YEAR, DELETE_CONTAINER_BACKGROUND_REQUEST_REQUEST_TYPE, DELETE_REQUEST_TYPE, DELETE_WORKFLOW_OPERATION, DISPOSITION_ACTION_ACCESSION, DISPOSITION_ACTION_DELETE, DISPOSITION_ACTION_KICK_OFF_WORKFLOW, DISPOSITION_ACTION_MOVE, DISPOSITION_ACTION_RETAIN, DISPOSITION_ACTION_TRANSFER, DISPOSITION_PHASE_REQUEST_TYPE, DISPOSITION_PHASE_WORKFLOW_OPERATION, EXCEPTION_INFO_CONFLICT_RESOLUTION_OPTIONS, EXCEPTION_INFO_MISSING_REQUIRED_METADATA_ATTRIBUTE_IDS, EXCEPTION_INFO_MISSING_REQUIRED_METADATA_IDS, EXCEPTION_INFO_NON_ALLOWED_METADATA_IDS, EXTERNAL_RECORD_REQUEST_TYPE, EXTERNAL_RECORD_WORKFLOW_OPERATION, INCREASE_QUOTA_REQUEST_TYPE, INCREASE_QUOTA_WORKFLOW_OPERATION, JOIN_WORKSPACE_REQUEST_TYPE, JOIN_WORKSPACE_WORKFLOW_OPERATION, LIFECYCLECATEGORY_STATUS_IN_ERROR, LIFECYCLECATEGORY_STATUS_NO_CURRENT_PHASE, LIFECYCLECATEGORY_STATUS_PENDING_DATE, LIFECYCLECATEGORY_STATUS_PENDING_RECORD_UNFREEZE, LIFECYCLECATEGORY_STATUS_PENDING_RECORDCATEGORY_UNFREEZE, LIFECYCLECATEGORY_STATUS_PENDING_RECORDFOLDER_UNFREEZE, LIFECYCLECATEGORY_STATUS_PENDING_WORKFLOW, LIFECYCLECATEGORY_STATUS_READY_FOR_NEXT_PHASE, LIFECYCLECATEGORY_STATUS_READY_FOR_PROCESSING, MOVE_REQUEST_TYPE, MOVE_WORKFLOW_OPERATION, NEARLINE_STORAGE, OPERATION_COPY, OPERATION_CREATE, OPERATION_MOVE, OPERATOR_AND, OPERATOR_CONTAINS, OPERATOR_EQUAL, OPERATOR_GREATER_THAN, OPERATOR_GREATER_THAN_EQUAL, OPERATOR_HAS_CATEGORY, OPERATOR_IN, OPERATOR_IS_NOT_NULL, OPERATOR_IS_NULL, OPERATOR_LESS_THAN, OPERATOR_LESS_THAN_EQUAL, OPERATOR_NOT, OPERATOR_NOT_EQUAL, OPERATOR_OR, ORACLE_WORKFLOW_NAME_PARALLEL, ORACLE_WORKFLOW_NAME_SERIAL, READ_DOCUMENT_REQUEST_TYPE, READ_DOCUMENT_WORKFLOW_OPERATION, RECORD_LIFECYCLE_ERROR_REQUEST_TYPE, RECORD_STATUS_DISPOSITION_PROCESSING_COMPLETE, RECORD_STATUS_IN_DISPOSITION_PROCESSING, RECORD_STATUS_PENDING_CUTOFF, RECORD_STATUS_UNDEFINED, REQUEST_STATUS_ABORTED, REQUEST_STATUS_CANCELED, REQUEST_STATUS_EXPIRED, REQUEST_STATUS_FAILED, REQUEST_STATUS_PENDING, REQUEST_STATUS_SUCCEEDED, RESPONDER_ESCALATION_VALUE, RETENTION_STORAGE, ROLEKEY_ADMIN, ROLEKEY_ADMINASSISTANT, ROLEKEY_APPROVER, ROLEKEY_AUTHOR, ROLEKEY_CATEGORYADMIN, ROLEKEY_COMMENTATOR, ROLEKEY_CONFIGURATIONADMIN, ROLEKEY_CONTAINERADMIN, ROLEKEY_CONTAINERVIEWER, ROLEKEY_CONTENTADMIN, ROLEKEY_CONTENTEDITOR, ROLEKEY_CUSTODIAN, ROLEKEY_DISCOVERER, ROLEKEY_DOMAINADMIN, ROLEKEY_DOMAINDISCOVERER, ROLEKEY_LIMITEDAUTHOR, ROLEKEY_MANAGER, ROLEKEY_NONE, ROLEKEY_ORGANIZER, ROLEKEY_QUOTAADMIN, ROLEKEY_READER, ROLEKEY_RECORDSADMIN, ROLEKEY_REVIEWER, ROLEKEY_ROLEADMIN, ROLEKEY_SECURITYADMIN, ROLEKEY_USERADMIN, ROLEKEY_WORKSPACEADMIN, ROLEKEY_WORKSPACECREATOR, SESSION_MODE_DOMAIN_ADMINISTRATION, SESSION_MODE_NORMAL, SET_CONFIGURATION_BACKGROUND_REQUEST_REQUEST_TYPE, TEXT_SCORE, USER_REQUEST_REQUEST_TYPE, USER_REQUEST_WORKFLOW_OPERATION, USERGROUP_MEMBERSHIP_VIEWABLE_BY_ALL, USERGROUP_MEMBERSHIP_VIEWABLE_BY_MANAGERS, USERGROUP_MEMBERSHIP_VIEWABLE_BY_MEMBERS, USERPREFERENCE_DEFAULTDOCUMENT_CHARSET, USERPREFERENCE_DEFAULTDOCUMENT_LANGUAGE, USERPREFERENCE_GENERAL_ITEMSPERPAGE, USERPREFERENCE_MOSTRECENTDOCS_EXCEPTEDEXTENSIONS, USERPREFERENCE_MOSTRECENTDOCS_MAXITEMS, USERPREFERENCE_SORTING_PREFIX, USERPREFERENCE_SORTING_TABLENAME_CHECKEDOUTFILES, USERPREFERENCE_SORTING_TABLENAME_FILELISTING, USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERLIST, USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERS, USERPREFERENCE_SORTING_TABLENAME_JOINABLEWORKSPACES, USERPREFERENCE_SORTING_TABLENAME_LOCKEDFILES, USERPREFERENCE_SORTING_TABLENAME_MEMBERLISTING, USERPREFERENCE_SORTING_TABLENAME_RECENTFILES, USERPREFERENCE_SORTING_TABLENAME_RMRCSECURITY, USERPREFERENCE_SORTING_TABLENAME_RMSECURITY, USERPREFERENCE_SORTING_TABLENAME_ROLES, USERPREFERENCE_SORTING_TABLENAME_SEARCHRESULTS, USERPREFERENCE_SORTING_TABLENAME_SECURITYCONFIG, USERPREFERENCE_SORTING_TABLENAME_SELECTEDUSERSORGROUPS, USERPREFERENCE_SORTING_TABLENAME_SHAREDCONTENTSEARCHRESULTS, USERPREFERENCE_SORTING_TABLENAME_SINGLEGROUPSEARCHRESULTS, USERPREFERENCE_SORTING_TABLENAME_USERSEARCHRESULTS, USERPREFERENCE_SORTING_TABLENAME_USERSORGROUPSRESULTS, USERPREFERENCE_SORTING_TABLENAME_VERSIONHISTORY, USERPREFERENCE_SORTING_TABLENAME_VIRUSNAMES, USERPREFERENCE_SORTING_TABLENAME_WORKFLOWREPORT, USERPREFERENCE_UIPROPERTIES_EDITINPLACEENABLED, USERPREFERENCE_UIPROPERTIES_FOLDERTREESTATE, USERPREFERENCE_UIPROPERTIES_LASTFOLDER, USERPREFERENCE_UIPROPERTIES_LASTVIEW, USERPREFERENCE_UIPROPERTIES_PROMPTFORVERSIONINFO, USERPREFERENCE_UIPROPERTIES_USESSCREENREADER, USERPREFERENCE_UIPROPERTIES_VIEWEDFIRSTLOGIN, USERPREFERENCE_USERPROPERTIES_CANCREATEGROUP, USERPREFERENCE_USERPROPERTIES_CHARACTERSET, USERPREFERENCE_USERPROPERTIES_DISCOVERABLEWORKSPACESFOLDER, USERPREFERENCE_USERPROPERTIES_DISPLAYNAME, USERPREFERENCE_USERPROPERTIES_DOMAIN, USERPREFERENCE_USERPROPERTIES_DOMAINADMINUSER, USERPREFERENCE_USERPROPERTIES_DOMAINUSER, USERPREFERENCE_USERPROPERTIES_EMAILADDRESS, USERPREFERENCE_USERPROPERTIES_FIRSTNAME, USERPREFERENCE_USERPROPERTIES_FTPPASSWORD, USERPREFERENCE_USERPROPERTIES_ISRECORDSADMIN, USERPREFERENCE_USERPROPERTIES_LANGUAGE, USERPREFERENCE_USERPROPERTIES_LASTNAME, USERPREFERENCE_USERPROPERTIES_LOCALE, USERPREFERENCE_USERPROPERTIES_PERSONALSHAREDFOLDER, USERPREFERENCE_USERPROPERTIES_PERSONALWORKSPACE, USERPREFERENCE_USERPROPERTIES_REALM, USERPREFERENCE_USERPROPERTIES_STARTATLASTFOLDER, USERPREFERENCE_USERPROPERTIES_STARTINGFOLDER, USERPREFERENCE_USERPROPERTIES_TIMEZONE, USERPREFERENCE_USERPROPERTIES_USERNAME, USERPREFERENCE_WEBDAV_OSCHARENCODING, USERPREFERENCE_WEBDAV_SENDRAWBYTES, VERSION_LABELING_DECIMAL, VERSION_LABELING_LOWERCASE, VERSION_LABELING_NONE, VERSION_LABELING_ROMAN, VERSION_LABELING_TRIVIAL, VERSION_LABELING_UPPERCASE, VIEWABLE_BY_ALL, VIEWABLE_BY_MANAGERS, VIEWABLE_BY_MEMBERS, WORKFLOW_JUSTIFICATION_PARAMETER_NAME, WORKFLOW_PARAMETER_TYPE_BOOLEAN, WORKFLOW_PARAMETER_TYPE_BOUNDED_DECIMALNUMBER, WORKFLOW_PARAMETER_TYPE_BOUNDED_NUMBER, WORKFLOW_PARAMETER_TYPE_DATE, WORKFLOW_PARAMETER_TYPE_ENUM_STRING, WORKFLOW_PARAMETER_TYPE_PATH, WORKFLOW_PARAMETER_TYPE_STRING, WORKFLOW_PARAMETER_TYPE_TIMEPERIOD, WORKFLOW_PARAMETER_TYPE_USER, WORKFLOW_TYPE_BPEL, WORKFLOW_TYPE_ORACLE`

Fields inherited from interface oracle.ifs.beans.resources.LibraryConstants
`AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT, AUDIT_EVENT_COLUMN_APPLICATIONUSER, AUDIT_EVENT_COLUMN_AUXILIARYNUMBER, AUDIT_EVENT_COLUMN_AUXILIARYSTRING, AUDIT_EVENT_COLUMN_CREATEDATE, AUDIT_EVENT_COLUMN_CREATORID, AUDIT_EVENT_COLUMN_DOMAINID, AUDIT_EVENT_COLUMN_ID, AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED, AUDIT_EVENT_COLUMN_OPERATIONTYPE, AUDIT_EVENT_COLUMN_TARGETOBJECTID, AUDIT_SPECIFICATION_CUSTOM, AUDIT_SPECIFICATION_GLOBAL, AUDIT_SPECIFICATION_OBJECT, AUDIT_SUCCESS_MODE_FAILURE_ONLY, AUDIT_SUCCESS_MODE_NONE, AUDIT_SUCCESS_MODE_SUCCESS_ONLY, AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE, CAPABILITY_ADDITEM, CAPABILITY_ADDVERSION, CAPABILITY_ADMINISTER_CATEGORY, CAPABILITY_ADMINISTER_CONFIGURATION, CAPABILITY_ADMINISTER_CONTAINER, CAPABILITY_ADMINISTER_DOMAIN, CAPABILITY_ADMINISTER_LOCK, CAPABILITY_ADMINISTER_QUOTA, CAPABILITY_ADMINISTER_RECORD, CAPABILITY_ADMINISTER_ROLE, CAPABILITY_ADMINISTER_SECURITY, CAPABILITY_ADMINISTER_USER, CAPABILITY_ADMINISTER_WORKSPACE, CAPABILITY_COPY, CAPABILITY_CREATECONTAINER, CAPABILITY_CREATEFOLDER, CAPABILITY_CREATEWORKSPACE, CAPABILITY_DELETE, CAPABILITY_DISCOVER, CAPABILITY_GET_CONTENT, CAPABILITY_GETAUDITHISTORY, CAPABILITY_GETMETADATA, CAPABILITY_GETRELATION, CAPABILITY_LOCK, CAPABILITY_MOVE, CAPABILITY_SET_ATTR, CAPABILITY_SET_CONTENT, CAPABILITY_SETMETADATA, CAPABILITY_SETRELATION, EXCEPTION_INFO_AGGREGATE_ENTRIES, EXCEPTION_INFO_CONFLICTING_OBJECT_ID, EXCEPTION_INFO_DESCRIPTION_MAP, EXCEPTION_INFO_LIMIT, EXCEPTION_INFO_OBJECT_ID, EXCEPTION_INFO_PARAMETER_NAME, IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED, IFS_DOMAIN_ACLINDEX_EVENTTARGET, IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME, IFS_DOMAIN_AUDIT_AUDITINGENABLED, IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD, IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST, IFS_DOMAIN_AUDITRULEEVALUATORCLASS, IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME, IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM, IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM, IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED, IFS_DOMAIN_DEFAULT_TIMEZONE_STRING, IFS_DOMAIN_DEFINITIONCLONINGREQUIRED, IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD, IFS_DOMAIN_FDKCONFIGURATIONCLASS, IFS_DOMAIN_FOLDERINDEX_EVENTTARGET, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK, IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES, IFS_DOMAIN_LOCKOBJECT_ENABLED, IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES, IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES, IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES, IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION, IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS, IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST, IFS_DOMAIN_PROPERTYBUNDLE_NAME, IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED, IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD, IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS, IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD, IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE, IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED, IFS_DOMAIN_SHAREDSTATEFACTORY, IFS_DOMAIN_UPGRADEINPROGRESS, IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED, IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL, IFS_DOMAIN_WORKFLOW_ENABLED, IFS_DOMAIN_WORKFLOW_SCHEMANAME, IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS, IFS_HANDLER_PROPERTY_BASETIMEOFDAY, IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT, IFS_HANDLER_PROPERTY_TIMERPERIOD, IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES, IFS_NODE_DISABLEDINHERITEDSERVERNAMES, IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES, IFS_NODE_ENABLEDINHERITEDSERVERNAMES, IFS_ORACLELOCKTYPE_KEY_CHECKOUT, IFS_ORACLELOCKTYPE_KEY_DAV, IFS_ORACLELOCKTYPE_KEY_FINALIZED, IFS_ORACLELOCKTYPE_KEY_FREEZE, IFS_ORACLELOCKTYPE_KEY_HASRECORD, IFS_ORACLELOCKTYPE_KEY_LIFECYCLE, IFS_ORACLELOCKTYPE_KEY_MANUAL, IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE, IFS_ORACLELOCKTYPE_KEY_RECORD, IFS_ORACLELOCKTYPE_KEY_RETENTION, IFS_ORACLELOCKTYPE_KEY_WORKFLOW, IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER, IFS_SERVICE_ACLCACHE_NORMALTRIGGER, IFS_SERVICE_ACLCACHE_PURGETARGET, IFS_SERVICE_ACLCACHE_SIZE, IFS_SERVICE_ACLCACHE_URGENTTRIGGER, IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET, IFS_SERVICE_AUDITINGENABLED, IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET, IFS_SERVICE_AURORASERVICE, IFS_SERVICE_CASESENSITIVEAUTHENTICATION, IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT, IFS_SERVICE_CONTENTBUFFERSIZE, IFS_SERVICE_CREDENTIALMANAGER, IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER, IFS_SERVICE_CREDENTIALMANAGER_NAMES, IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_DATACACHE_NORMALTRIGGER, IFS_SERVICE_DATACACHE_PURGETARGET, IFS_SERVICE_DATACACHE_SIZE, IFS_SERVICE_DATACACHE_URGENTTRIGGER, IFS_SERVICE_DEFAULTCHARACTERSET, IFS_SERVICE_DEFAULTLANGUAGE, IFS_SERVICE_EVENTEXCHANGER, IFS_SERVICE_EVENTSTATEMENTRESETLIMIT, IFS_SERVICE_JDBC_DEFAULTROWPREFETCH, IFS_SERVICE_JDBC_DRIVER, IFS_SERVICE_JDBC_DRIVERTYPE, IFS_SERVICE_JDBC_TRACINGENABLED, IFS_SERVICE_LOCKTIMEOUTPERIOD, IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS, IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION, IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD, IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD, IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES, IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD, IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE, IFS_SERVICE_SESSION_BEANSSESSION, IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_DATACACHE_PURGETARGET, IFS_SERVICE_SESSION_DATACACHE_SIZE, IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD, IFS_SERVICE_SESSION_EVENTPOLLER, IFS_SERVICE_SESSION_EVENTPOLLERPERIOD, IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET, IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE, IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVERSESSION, IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE, IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD, IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE, IFS_SERVICE_TRACING_CHANNELCOUNT, IFS_SERVICE_TRACING_CHANNELLEVEL, IFS_SERVICE_TRACING_DEFAULTTRACELEVEL, IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE, IFS_SERVICE_TRACING_SERVICETRACETYPE, IFS_SERVICE_TRANSPORTBATCHSIZE, IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD, IFS_SESSIONSTATE_APPLICATION_SESSIONID, IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT, IFS_SESSIONSTATE_OPERATIONS_COPYTABLE, IFS_SESSIONSTATE_OPERATIONS_FREETABLE, IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE, LOCKTYPE_CHECKOUT, LOCKTYPE_CUSTOM, LOCKTYPE_DAV, LOCKTYPE_FAMILYHASRECORD, LOCKTYPE_FINALIZED, LOCKTYPE_FREEZE, LOCKTYPE_HAS_RECORD, LOCKTYPE_LIFECYCLE, LOCKTYPE_MANUAL, LOCKTYPE_NAMEDFREEZE, LOCKTYPE_RECORD, LOCKTYPE_RETENTION, LOCKTYPE_WORKFLOW, PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT, PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW, SYSTEMLOCK_NAME_FINALIZED, SYSTEMLOCK_NAME_FREEZE, SYSTEMLOCK_NAME_HAS_RECORD, SYSTEMLOCK_NAME_LIFECYCLE, SYSTEMLOCK_NAME_RECORD, SYSTEMLOCK_NAME_RETENTION`

Constructor Summary
`FdkErrorCodes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FDK_INFO_ID

    public static final java.lang.String FDK_INFO_ID

See Also:
  Constant Field Values

### FDK_INFO_ATTRIBUTE

    public static final java.lang.String FDK_INFO_ATTRIBUTE

See Also:
  Constant Field Values

### FDK_INFO_ATTRIBUTE_DETAIL

    public static final java.lang.String FDK_INFO_ATTRIBUTE_DETAIL

See Also:
  Constant Field Values

### FDK_INFO_EXPECTED_ITEM_TYPE

    public static final java.lang.String FDK_INFO_EXPECTED_ITEM_TYPE

See Also:
  Constant Field Values

### FDK_INFO_UNEXPECTED_TYPE

    public static final java.lang.String FDK_INFO_UNEXPECTED_TYPE

See Also:
  Constant Field Values

### FDK_INFO_OPTION

    public static final java.lang.String FDK_INFO_OPTION

See Also:
  Constant Field Values

### FDK_INFO_VALUE

    public static final java.lang.String FDK_INFO_VALUE

See Also:
  Constant Field Values

### FDK_INFO_PARAMETER

    public static final java.lang.String FDK_INFO_PARAMETER

See Also:
  Constant Field Values

### FDK_UNEXPECTED_ERROR

    public static final java.lang.String FDK_UNEXPECTED_ERROR

See Also:
  Constant Field Values

### FDK_AGGREGATE_ERROR

    public static final java.lang.String FDK_AGGREGATE_ERROR

See Also:
  Constant Field Values

### FDK_PARAMETER_ERROR

    public static final java.lang.String FDK_PARAMETER_ERROR

See Also:
  Constant Field Values

### FDK_SESSION_ERROR

    public static final java.lang.String FDK_SESSION_ERROR

See Also:
  Constant Field Values

### FDK_AUTHENTICATION_ERROR

    public static final java.lang.String FDK_AUTHENTICATION_ERROR

See Also:
  Constant Field Values

### FDK_ACCESS_ERROR

    public static final java.lang.String FDK_ACCESS_ERROR

See Also:
  Constant Field Values

### FDK_LOCK_ERROR

    public static final java.lang.String FDK_LOCK_ERROR

See Also:
  Constant Field Values

### FDK_METADATA_ERROR

    public static final java.lang.String FDK_METADATA_ERROR

See Also:
  Constant Field Values

### FDK_RECORD_ERROR

    public static final java.lang.String FDK_RECORD_ERROR

See Also:
  Constant Field Values
(Unpublished)

### FDK_WORKFLOW_ERROR

    public static final java.lang.String FDK_WORKFLOW_ERROR

See Also:
  Constant Field Values

### FDK_OPERATION_ERROR

    public static final java.lang.String FDK_OPERATION_ERROR

See Also:
  Constant Field Values

### FDK_SERVER_ERROR

    public static final java.lang.String FDK_SERVER_ERROR

See Also:
  Constant Field Values

### FDK_FEATURE_NOT_ENABLED

    public static final java.lang.String FDK_FEATURE_NOT_ENABLED

See Also:
  Constant Field Values

### FDK_METADATA_SCHEMA_INVALID

    public static final java.lang.String FDK_METADATA_SCHEMA_INVALID

See Also:
  Constant Field Values

### FDK_INVALID_ATTRIBUTE

    public static final java.lang.String FDK_INVALID_ATTRIBUTE

See Also:
  Constant Field Values

### FDK_INVALID_OPTION

    public static final java.lang.String FDK_INVALID_OPTION

See Also:
  Constant Field Values

### FDK_INVALID_ATTRIBUTE_VALUE

    public static final java.lang.String FDK_INVALID_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### FDK_INVALID_DOMAIN_PROPERTY_VALUE

    public static final java.lang.String FDK_INVALID_DOMAIN_PROPERTY_VALUE

See Also:
  Constant Field Values

### FDK_SYNTAX_NOT_SUPPORTED

    public static final java.lang.String FDK_SYNTAX_NOT_SUPPORTED

See Also:
  Constant Field Values

### FDK_REQUIRED_PARAMETER_MISSING

    public static final java.lang.String FDK_REQUIRED_PARAMETER_MISSING

See Also:
  Constant Field Values

### FDK_INVALID_SEARCH_EXPR

    public static final java.lang.String FDK_INVALID_SEARCH_EXPR

See Also:
  Constant Field Values

### FDK_STRING_PARAMETER_TOO_LONG

    public static final java.lang.String FDK_STRING_PARAMETER_TOO_LONG

See Also:
  Constant Field Values

### FDK_INVALID_FOLDER_RESTRICTION_FOR_ARCHIVE_SEARCH

    public static final java.lang.String FDK_INVALID_FOLDER_RESTRICTION_FOR_ARCHIVE_SEARCH

See Also:
  Constant Field Values

### FDK_SESSION_NOT_CONNECTED

    public static final java.lang.String FDK_SESSION_NOT_CONNECTED

See Also:
  Constant Field Values

### FDK_MAX_SESSIONS_PER_USER

    public static final java.lang.String FDK_MAX_SESSIONS_PER_USER

See Also:
  Constant Field Values

### FDK_MAX_CONCURRENT_REQUESTS_PER_USER

    public static final java.lang.String FDK_MAX_CONCURRENT_REQUESTS_PER_USER

See Also:
  Constant Field Values

### FDK_MAX_CONCURRENT_REQUESTS_PER_SESSION

    public static final java.lang.String FDK_MAX_CONCURRENT_REQUESTS_PER_SESSION

See Also:
  Constant Field Values

### FDK_CONCURRENT_REQUESTS_PER_SESSION_WAIT_TIMEOUT

    public static final java.lang.String FDK_CONCURRENT_REQUESTS_PER_SESSION_WAIT_TIMEOUT

See Also:
  Constant Field Values

### FDK_TRANSACTION_NOT_CURRENT

    public static final java.lang.String FDK_TRANSACTION_NOT_CURRENT

See Also:
  Constant Field Values

### FDK_TRANSACTION_IN_PROGRESS

    public static final java.lang.String FDK_TRANSACTION_IN_PROGRESS

See Also:
  Constant Field Values

### FDK_TRANSACTION_REQUIRED

    public static final java.lang.String FDK_TRANSACTION_REQUIRED

See Also:
  Constant Field Values

### FDK_SESSION_MODE_MISMATCH

    public static final java.lang.String FDK_SESSION_MODE_MISMATCH

See Also:
  Constant Field Values

### FDK_INVALID_CREDENTIALS

    public static final java.lang.String FDK_INVALID_CREDENTIALS

See Also:
  Constant Field Values

### FDK_AUTHORIZATION_DISABLED

    public static final java.lang.String FDK_AUTHORIZATION_DISABLED

See Also:
  Constant Field Values

### FDK_AUTHORIZATION_FAILED

    public static final java.lang.String FDK_AUTHORIZATION_FAILED

See Also:
  Constant Field Values

### FDK_FTP_PASSWORD_NOT_SET

    public static final java.lang.String FDK_FTP_PASSWORD_NOT_SET

See Also:
  Constant Field Values

### FDK_NON_EXISTENT_DOMAIN_FOR_SPECIFIED_REALM

    public static final java.lang.String FDK_NON_EXISTENT_DOMAIN_FOR_SPECIFIED_REALM

See Also:
  Constant Field Values

### FDK_ACCESS_DENIED

    public static final java.lang.String FDK_ACCESS_DENIED

See Also:
  Constant Field Values

### FDK_ITEM_LOCKED

    public static final java.lang.String FDK_ITEM_LOCKED

See Also:
  Constant Field Values

### FDK_ITEM_CHECKED_OUT

    public static final java.lang.String FDK_ITEM_CHECKED_OUT

See Also:
  Constant Field Values

### FDK_METADATA_REQUIRED

    public static final java.lang.String FDK_METADATA_REQUIRED

See Also:
  Constant Field Values

### FDK_METADATA_ATTRIBUTE_REQUIRED

    public static final java.lang.String FDK_METADATA_ATTRIBUTE_REQUIRED

See Also:
  Constant Field Values

### FDK_METADATA_ATTRIBUTE_NOT_SETTABLE

    public static final java.lang.String FDK_METADATA_ATTRIBUTE_NOT_SETTABLE

See Also:
  Constant Field Values

### FDK_METADATA_NOT_ALLOWED

    public static final java.lang.String FDK_METADATA_NOT_ALLOWED

See Also:
  Constant Field Values

### FDK_METADATA_ILLEGAL_OPERATION

    public static final java.lang.String FDK_METADATA_ILLEGAL_OPERATION

See Also:
  Constant Field Values

### FDK_METADATA_FOLDER_OPERATION_NOT_ALLOWED

    public static final java.lang.String FDK_METADATA_FOLDER_OPERATION_NOT_ALLOWED

See Also:
  Constant Field Values

### FDK_METADATA_OPERATION_FAILED

    public static final java.lang.String FDK_METADATA_OPERATION_FAILED

See Also:
  Constant Field Values

### FDK_METADATA_CANNOT_DELETE

    public static final java.lang.String FDK_METADATA_CANNOT_DELETE

See Also:
  Constant Field Values

### FDK_METADATA_CANNOT_FREE_INSTANCES_EXIST

    public static final java.lang.String FDK_METADATA_CANNOT_FREE_INSTANCES_EXIST

See Also:
  Constant Field Values

### FDK_INVALID_NAME_FOR_RM_OBJECT

    public static final java.lang.String FDK_INVALID_NAME_FOR_RM_OBJECT

See Also:
  Constant Field Values
(Unpublished)

### FDK_RECORD_NOT_UNDER_RECORDCATEGORY

    public static final java.lang.String FDK_RECORD_NOT_UNDER_RECORDCATEGORY

See Also:
  Constant Field Values
(Unpublished)

### FDK_INVALID_DISPOSITION_PHASE

    public static final java.lang.String FDK_INVALID_DISPOSITION_PHASE

See Also:
  Constant Field Values
(Unpublished)

### FDK_RM_NODE_NOT_EMPTY

    public static final java.lang.String FDK_RM_NODE_NOT_EMPTY

See Also:
  Constant Field Values
(Unpublished)

### FDK_RECORD_CATEGORY_CLOSED

    public static final java.lang.String FDK_RECORD_CATEGORY_CLOSED

See Also:
  Constant Field Values
(Unpublished)

### FDK_ATTEMPT_TO_RE_RECORDIZE_UNDER_SAME_CATEGORY

    public static final java.lang.String FDK_ATTEMPT_TO_RE_RECORDIZE_UNDER_SAME_CATEGORY

See Also:
  Constant Field Values
(Unpublished)

### FDK_INVALID_RECORD_CONFIGURATION

    public static final java.lang.String FDK_INVALID_RECORD_CONFIGURATION

See Also:
  Constant Field Values
(Unpublished)

### FDK_INVALID_CUTOFF_SPECIFICATION

    public static final java.lang.String FDK_INVALID_CUTOFF_SPECIFICATION

See Also:
  Constant Field Values
(Unpublished)

### FDK_RECORD_FOLDER_CLOSED

    public static final java.lang.String FDK_RECORD_FOLDER_CLOSED

See Also:
  Constant Field Values
(Unpublished)

### FDK_DOCUMENT_ALREADY_RECORD

    public static final java.lang.String FDK_DOCUMENT_ALREADY_RECORD

See Also:
  Constant Field Values
(Unpublished)

### FDK_RM_DUPLICATE_NAME

    public static final java.lang.String FDK_RM_DUPLICATE_NAME

See Also:
  Constant Field Values
(Unpublished)

### FDK_NO_ACCESS_TO_FILEPLANCOMPONENT

    public static final java.lang.String FDK_NO_ACCESS_TO_FILEPLANCOMPONENT

See Also:
  Constant Field Values
(Unpublished)

### FDK_CANNOT_UPDATE_STORAGE_DEVICE

    public static final java.lang.String FDK_CANNOT_UPDATE_STORAGE_DEVICE

See Also:
  Constant Field Values
(Unpublished)

### FDK_CANNOT_SHORTEN_RETENTION_PERIOD

    public static final java.lang.String FDK_CANNOT_SHORTEN_RETENTION_PERIOD

See Also:
  Constant Field Values
(Unpublished)

### FDK_WORKFLOW_PARAMETER_REQUIRED

    public static final java.lang.String FDK_WORKFLOW_PARAMETER_REQUIRED

See Also:
  Constant Field Values

### FDK_WORKFLOW_PARAMETER_PROMPT_REQUIRED

    public static final java.lang.String FDK_WORKFLOW_PARAMETER_PROMPT_REQUIRED

See Also:
  Constant Field Values

### FDK_WORKFLOW_PARAMETER_INVALID

    public static final java.lang.String FDK_WORKFLOW_PARAMETER_INVALID

See Also:
  Constant Field Values

### FDK_WORKFLOW_ITEMS_HAVE_MULTIPLE_WORKFLOW_CONFIGURATIONS

    public static final java.lang.String FDK_WORKFLOW_ITEMS_HAVE_MULTIPLE_WORKFLOW_CONFIGURATIONS

See Also:
  Constant Field Values

### FDK_WORKFLOW_PARAMETER_VALUE_INVALID

    public static final java.lang.String FDK_WORKFLOW_PARAMETER_VALUE_INVALID

See Also:
  Constant Field Values

### FDK_READWORKFLOW_NOT_ALLOWED_IN_BLOCKING_MODE

    public static final java.lang.String FDK_READWORKFLOW_NOT_ALLOWED_IN_BLOCKING_MODE

See Also:
  Constant Field Values

### FDK_PROMPTED_PARAMETERS_NOT_ALLOWED

    public static final java.lang.String FDK_PROMPTED_PARAMETERS_NOT_ALLOWED

See Also:
  Constant Field Values

### FDK_NULL_OR_APPROVAL_WORKFLOW_NOT_ALLOWED

    public static final java.lang.String FDK_NULL_OR_APPROVAL_WORKFLOW_NOT_ALLOWED

See Also:
  Constant Field Values

### FDK_REQUIRED_PARAMETER_WITH_NO_DEFAULT_NOT_ALLOWED

    public static final java.lang.String FDK_REQUIRED_PARAMETER_WITH_NO_DEFAULT_NOT_ALLOWED

See Also:
  Constant Field Values

### FDK_CANNOT_RESPOND_TO_REQUEST

    public static final java.lang.String FDK_CANNOT_RESPOND_TO_REQUEST

See Also:
  Constant Field Values

### FDK_CANNOT_CREATE_REQUEST

    public static final java.lang.String FDK_CANNOT_CREATE_REQUEST

See Also:
  Constant Field Values

### FDK_NO_RESPONDERS_SPECIFIED

    public static final java.lang.String FDK_NO_RESPONDERS_SPECIFIED

See Also:
  Constant Field Values

### FDK_UNABLE_TO_APPROVE_REQUEST

    public static final java.lang.String FDK_UNABLE_TO_APPROVE_REQUEST

See Also:
  Constant Field Values

### FDK_TARGETS_NOT_ASSOCIATED_WITH_REQUEST_LOCK

    public static final java.lang.String FDK_TARGETS_NOT_ASSOCIATED_WITH_REQUEST_LOCK

See Also:
  Constant Field Values

### FDK_REQUESTS_SHOULD_BE_PENDING

    public static final java.lang.String FDK_REQUESTS_SHOULD_BE_PENDING

See Also:
  Constant Field Values

### FDK_ITEM_NOT_FOUND

    public static final java.lang.String FDK_ITEM_NOT_FOUND

See Also:
  Constant Field Values

### FDK_ITEM_ALREADY_EXISTS

    public static final java.lang.String FDK_ITEM_ALREADY_EXISTS

See Also:
  Constant Field Values

### FDK_ATTRIBUTE_NOT_UPDATABLE

    public static final java.lang.String FDK_ATTRIBUTE_NOT_UPDATABLE

See Also:
  Constant Field Values

### FDK_UNEXPECTED_ITEM_TYPE

    public static final java.lang.String FDK_UNEXPECTED_ITEM_TYPE

See Also:
  Constant Field Values

### FDK_CANNOT_CREATE_ITEM

    public static final java.lang.String FDK_CANNOT_CREATE_ITEM

See Also:
  Constant Field Values

### FDK_CANNOT_UPDATE_ITEM

    public static final java.lang.String FDK_CANNOT_UPDATE_ITEM

See Also:
  Constant Field Values

### FDK_CANNOT_DELETE_ITEM

    public static final java.lang.String FDK_CANNOT_DELETE_ITEM

See Also:
  Constant Field Values

### FDK_OPERATION_TIMED_OUT

    public static final java.lang.String FDK_OPERATION_TIMED_OUT

See Also:
  Constant Field Values

### FDK_COMPETING_OPERATION_IN_PROGRESS

    public static final java.lang.String FDK_COMPETING_OPERATION_IN_PROGRESS

See Also:
  Constant Field Values

### FDK_UNSUPPORTED_FILE_FORMAT

    public static final java.lang.String FDK_UNSUPPORTED_FILE_FORMAT

See Also:
  Constant Field Values

### FDK_FILE_FORMAT_INVALID

    public static final java.lang.String FDK_FILE_FORMAT_INVALID

See Also:
  Constant Field Values

### FDK_QUOTA_REACHED

    public static final java.lang.String FDK_QUOTA_REACHED

See Also:
  Constant Field Values

### FDK_CONTENT_LIMIT_EXCEEDED

    public static final java.lang.String FDK_CONTENT_LIMIT_EXCEEDED

See Also:
  Constant Field Values

### FDK_CONTENT_UNAVAILABLE

    public static final java.lang.String FDK_CONTENT_UNAVAILABLE

See Also:
  Constant Field Values

### FDK_OPERATION_NOT_ALLOWED_FOR_ITEM_IN_TRASH

    public static final java.lang.String FDK_OPERATION_NOT_ALLOWED_FOR_ITEM_IN_TRASH

See Also:
  Constant Field Values

### FDK_DIRECTORY_NOT_EMPTY

    public static final java.lang.String FDK_DIRECTORY_NOT_EMPTY

See Also:
  Constant Field Values

### FDK_CYCLIC_FOLDER_OPERATION_DETECTED

    public static final java.lang.String FDK_CYCLIC_FOLDER_OPERATION_DETECTED

See Also:
  Constant Field Values

### FKD_INVALID_LINK_TARGET_TYPE

    public static final java.lang.String FKD_INVALID_LINK_TARGET_TYPE

See Also:
  Constant Field Values

### FDK_ITEM_NOT_CHECKED_OUT

    public static final java.lang.String FDK_ITEM_NOT_CHECKED_OUT

See Also:
  Constant Field Values

### FDK_CANNOT_DELETE_ONLY_VERSION

    public static final java.lang.String FDK_CANNOT_DELETE_ONLY_VERSION

See Also:
  Constant Field Values

### FDK_OPERATION_ONLY_ALLOWED_FOR_LATEST_VERSION

    public static final java.lang.String FDK_OPERATION_ONLY_ALLOWED_FOR_LATEST_VERSION

See Also:
  Constant Field Values

### FDK_OPERATION_ONLY_ALLOWED_FOR_WORKING_COPY

    public static final java.lang.String FDK_OPERATION_ONLY_ALLOWED_FOR_WORKING_COPY

See Also:
  Constant Field Values

### FDK_VERSIONING_DISABLED

    public static final java.lang.String FDK_VERSIONING_DISABLED

See Also:
  Constant Field Values

### FDK_CANNOT_CANCEL_CHECKOUT_IF_WORKFLOW_LOCKED_FOR_CHECKIN

    public static final java.lang.String FDK_CANNOT_CANCEL_CHECKOUT_IF_WORKFLOW_LOCKED_FOR_CHECKIN

See Also:
  Constant Field Values

### FDK_CANNOT_APPLY_MORE_THAN_ONE_CONFIGURATION

    public static final java.lang.String FDK_CANNOT_APPLY_MORE_THAN_ONE_CONFIGURATION

See Also:
  Constant Field Values

### FDK_CANNOT_OVERRIDE_FINAL_CONFIGURATION

    public static final java.lang.String FDK_CANNOT_OVERRIDE_FINAL_CONFIGURATION

See Also:
  Constant Field Values

### FDK_CANNOT_SET_CONFIGURATION_FINAL_IF_ALREADY_OVERRIDDEN

    public static final java.lang.String FDK_CANNOT_SET_CONFIGURATION_FINAL_IF_ALREADY_OVERRIDDEN

See Also:
  Constant Field Values

### FDK_CANNOT_DELETE_DOMAIN_CONFIGURATION

    public static final java.lang.String FDK_CANNOT_DELETE_DOMAIN_CONFIGURATION

See Also:
  Constant Field Values

### FDK_CANNOT_GRANT_ADMIN_ROLE_TO_GROUP

    public static final java.lang.String FDK_CANNOT_GRANT_ADMIN_ROLE_TO_GROUP

See Also:
  Constant Field Values

### FDK_WORLD_GROUP_GRANTS_NOT_ENABLED_ON_DOMAIN

    public static final java.lang.String FDK_WORLD_GROUP_GRANTS_NOT_ENABLED_ON_DOMAIN

See Also:
  Constant Field Values

### FDK_CYCLIC_GROUP_DEFINITION

    public static final java.lang.String FDK_CYCLIC_GROUP_DEFINITION

See Also:
  Constant Field Values

### FDK_IMPROPER_DOMAIN_SECURITY_UPDATE

    public static final java.lang.String FDK_IMPROPER_DOMAIN_SECURITY_UPDATE

See Also:
  Constant Field Values

### FDK_SECURITY_CONFIGURATION_MUST_HAVE_SECURITYADMINISTRATOR

    public static final java.lang.String FDK_SECURITY_CONFIGURATION_MUST_HAVE_SECURITYADMINISTRATOR

See Also:
  Constant Field Values

### FDK_INAPPLICABLE_ROLE_SPECIFIED_FOR_TARGET

    public static final java.lang.String FDK_INAPPLICABLE_ROLE_SPECIFIED_FOR_TARGET

See Also:
  Constant Field Values

### FDK_CANNOT_JOIN_USER_ALREADY_HAS_DISCOVER_ACCESS

    public static final java.lang.String FDK_CANNOT_JOIN_USER_ALREADY_HAS_DISCOVER_ACCESS

See Also:
  Constant Field Values

### FDK_DUPLICATE_SEARCH_RESULTS

    public static final java.lang.String FDK_DUPLICATE_SEARCH_RESULTS

See Also:
  Constant Field Values

### FDK_SEARCH_RESULT_TOO_LARGE

    public static final java.lang.String FDK_SEARCH_RESULT_TOO_LARGE

See Also:
  Constant Field Values

### FDK_SEARCH_CONTENT_WILDCARD_EXPANSION_ERROR

    public static final java.lang.String FDK_SEARCH_CONTENT_WILDCARD_EXPANSION_ERROR

See Also:
  Constant Field Values

### FDK_SEARCH_ORACLE_TEXT_ERROR

    public static final java.lang.String FDK_SEARCH_ORACLE_TEXT_ERROR

See Also:
  Constant Field Values

### FDK_SEARCH_PARSE_ERROR

    public static final java.lang.String FDK_SEARCH_PARSE_ERROR

See Also:
  Constant Field Values

### FDK_AUDIT_SEARCH_ERROR

    public static final java.lang.String FDK_AUDIT_SEARCH_ERROR

See Also:
  Constant Field Values

### FDK_MAIL_ERROR

    public static final java.lang.String FDK_MAIL_ERROR

See Also:
  Constant Field Values

### FDK_SMTP_HOST_NOT_SET

    public static final java.lang.String FDK_SMTP_HOST_NOT_SET

See Also:
  Constant Field Values

### FDK_ADMIN_EMAIL_ADDRESS_NOT_SET

    public static final java.lang.String FDK_ADMIN_EMAIL_ADDRESS_NOT_SET

See Also:
  Constant Field Values

### FDK_PROVISION_ERROR

    public static final java.lang.String FDK_PROVISION_ERROR

See Also:
  Constant Field Values

### FDK_LOGIN_TIMEOUT

    public static final java.lang.String FDK_LOGIN_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### FdkErrorCodes

    public FdkErrorCodes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD